Subject: Re: bug#29586: Please revert change to package deletion

From: John Wiegley <[email-masked]>
Date: Fri, 08 Dec 2017 21:50:31 -0800

>>>>> "EZ" == Eli Zaretskii <[email-masked]> writes:

EZ> The problem is that many users have their packages auto-updated, so the
EZ> trash piles up quite quickly.

Not to be contentious, but how much of an impact could that really have for
Emacs packages? I use >350 packages, and my site-lisp is 400M. Even if I
auto-updated everything, every day, that's *still* ~1% of my disk, which is
what I usually allocate for trash accumulation.

Your argument that no other package system replaces packages by moving them to
the trash is valid, though; I don't know of any that do that. Thus, I can't
argue that it's the right thing to do here.

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2